#!../../bin/linux-cris_v10/streamHadcon

< envPaths
cd ${TOP}

epicsEnvSet("STREAM_PROTOCOL_PATH", "$(TOP)/streamHadconApp/protocols")
epicsEnvSet("PATH","${PATH}:${TOP}/bin/${ARCH}")

## Register all support components
dbLoadDatabase "dbd/streamHadcon.dbd"
streamHadcon_registerRecordDeviceDriver pdbbase

drvAsynSerialPortConfigure("hadcon","/dev/ttyS1",0,0,0)
   asynSetOption("hadcon",0,"baud","115200")
   asynSetOption("hadcon",0,"bits","8")
   asynSetOption("hadcon",0,"parity","none")
   asynSetOption("hadcon",0,"stop","1")
   asynSetOption("hadcon",0,"clocal","Y")
   asynSetOption("hadcon",0,"crtscts","N")


## Load record instances
##
## Load etrax $(HOSTNAME) specific record instances

< ${TOP}/iocBoot/${IOC}/st_${HOSTNAME}.cmd

cd $(TOP)

## Set this to see messages from streamDev
#var streamDebug 1 

## Run this to trace the stages of iocInit
#traceIocInit

cd ${TOP}/iocBoot/${IOC}
iocInit

dbl > ${TOP}/iocBoot/${IOC}/${HOSTNAME}.dbl

